diff --git a/scripts/archive_hkex_documents.py b/scripts/archive_hkex_documents.py
index bbd2119..d927ebd 100644
--- a/scripts/archive_hkex_documents.py
+++ b/scripts/archive_hkex_documents.py
@@ -407,6 +407,24 @@ def date_after(label_pattern: str, text: str) -> str | None:
     return None
 
 
+def parse_over_allotment_offer_shares(local_path: str, global_offer_shares: int | None) -> int | None:
+    text = normalize_pdf_text(first_pdf_text(local_path, 320))
+    if re.search(r"\bno\s+over-?allotment\s+option\b", text, flags=re.I):
+        return 0
+
+    explicit_shares = integer_after(
+        r"over-?allotment option.{0,500}?up to\s+([\d][\d,\s]*)\s+(?:additional\s+)?(?:H\s+)?Shares",
+        text,
+    )
+    if explicit_shares is not None:
+        return explicit_shares
+
+    if global_offer_shares and re.search(r"over-?allotment option", text, flags=re.I):
+        if re.search(r"(?:15%|15\s+per\s+cent|fifteen\s+per\s+cent)", text, flags=re.I):
+            return round(global_offer_shares * 0.15)
+    return None
+
+
 def parse_prospectus_facts(local_path: str) -> ProspectusFacts:
     text = normalize_pdf_text(first_pdf_text(local_path, 8))
     board_lot = integer_after(r"minimum\s*of\s*([\d][\d,\s]*)\s*Hong\s*Kong\s*Offer\s*Shares", text)
@@ -422,9 +440,7 @@ def parse_prospectus_facts(local_path: str) -> ProspectusFacts:
         global_shares = integer_after(r"Number of Offer Shares\s*:?\s+([\d][\d,\s]*)\s+(?:H\s+)?Shares", text)
     hk_shares = integer_after(r"Number of Hong Kong Offer Shares\s*:?\s+([\d][\d,\s]*)", text)
     intl_shares = integer_after(r"Number of International Offer Shares\s*:?\s+([\d][\d,\s]*)", text)
-    over_allotment = None
-    if global_shares:
-        over_allotment = round(global_shares * 0.15)
+    over_allotment = parse_over_allotment_offer_shares(local_path, global_shares)
     public_pct = round(hk_shares / global_shares, 4) if global_shares and hk_shares else None
     allotment_date = (
         date_after(r"Announcement of the level of indications.*?basis of allocation", text)
